Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: ChangeLog mysql-5.0.84-r1.ebuild
Date: Tue, 08 Sep 2009 05:32:31
Message-Id: E1MktJc-00011K-1Y@stork.gentoo.org
1 robbat2 09/09/08 05:32:28
2
3 Modified: ChangeLog
4 Added: mysql-5.0.84-r1.ebuild
5 Log:
6 Revbump because of bug #283926 causing issues for GCC4.4 users.
7 (Portage version: 2.2_rc40/cvs/Linux x86_64)
8
9 Revision Changes Path
10 1.490 dev-db/mysql/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.490&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.490&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.489&r2=1.490
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
19 retrieving revision 1.489
20 retrieving revision 1.490
21 diff -p -w -b -B -u -u -r1.489 -r1.490
22 --- ChangeLog 4 Sep 2009 10:48:36 -0000 1.489
23 +++ ChangeLog 8 Sep 2009 05:32:27 -0000 1.490
24 @@ -1,6 +1,12 @@
25 # ChangeLog for dev-db/mysql
26 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.489 2009/09/04 10:48:36 robbat2 Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.490 2009/09/08 05:32:27 robbat2 Exp $
29 +
30 +*mysql-5.0.84-r1 (08 Sep 2009)
31 +
32 + 08 Sep 2009; Robin H. Johnson <robbat2@g.o>
33 + +mysql-5.0.84-r1.ebuild:
34 + Revbump because of bug #283926 causing issues for GCC4.4 users.
35
36 *mysql-5.0.84 (04 Sep 2009)
37
38
39
40
41 1.1 dev-db/mysql/mysql-5.0.84-r1.ebuild
42
43 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.84-r1.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.84-r1.ebuild?rev=1.1&content-type=text/plain
45
46 Index: mysql-5.0.84-r1.ebuild
47 ===================================================================
48 # Copyright 1999-2009 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.84-r1.ebuild,v 1.1 2009/09/08 05:32:27 robbat2 Exp $
51
52 MY_EXTRAS_VER="20090904-0939Z"
53 EAPI=2
54
55 inherit toolchain-funcs mysql
56 # only to make repoman happy. it is really set in the eclass
57 IUSE="$IUSE"
58
59 # REMEMBER: also update eclass/mysql*.eclass before committing!
60 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
61
62 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
63 EPATCH_EXCLUDE=''
64
65 # Please do not add a naive src_unpack to this ebuild
66 # If you want to add a single patch, copy the ebuild to an overlay
67 # and create your own mysql-extras tarball, looking at 000_index.txt
68
69 # Official test instructions:
70 # USE='berkdb cluster embedded extraengine' \
71 # FEATURES='test userpriv -usersandbox' \
72 # ebuild mysql-X.X.XX.ebuild \
73 # digest clean package
74 src_test() {
75 # Bug #213475 - MySQL _will_ object strenously if your machine is named
76 # localhost. Also causes weird failures.
77 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
78
79 emake check || die "make check failed"
80 if ! use "minimal" ; then
81 if [[ $UID -eq 0 ]]; then
82 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
83 fi
84 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
85 cd "${S}"
86 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
87 local retstatus1
88 local retstatus2
89 local t
90 addpredict /this-dir-does-not-exist/t9.MYI
91
92 # Ensure that parallel runs don't die
93 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
94
95 # archive_gis really sucks a lot, but it's only relevant for the
96 # USE=extraengines case
97 case ${PV} in
98 5.0.42)
99 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
100 ;;
101
102 5.0.4[3-9]|5.0.[56]*|5.0.70)
103 [ "$(tc-endian)" == "big" ] && \
104 mysql_disable_test \
105 "archive_gis" \
106 "Broken in 5.0.43-70 on big-endian boxes only"
107 ;;
108 esac
109
110 # This was a slight testcase breakage when the read_only security issue
111 # was fixed.
112 case ${PV} in
113 5.0.54|5.0.51*)
114 mysql_disable_test \
115 "read_only" \
116 "Broken in 5.0.51-54, output in wrong order"
117 ;;
118 esac
119
120 # Ditto to read_only
121 [ "${PV}" == "5.0.51a" ] && \
122 mysql_disable_test \
123 "view" \
124 "Broken in 5.0.51, output in wrong order"
125
126 # x86-specific, OOM issue with some subselects on low memory servers
127 [ "${PV}" == "5.0.54" ] && \
128 [ "${ARCH/x86}" != "${ARCH}" ] && \
129 mysql_disable_test \
130 "subselect" \
131 "Testcase needs tuning on x86 for oom condition"
132
133 # Broke with the YaSSL security issue that didn't affect Gentoo.
134 [ "${PV}" == "5.0.56" ] && \
135 for t in openssl_1 rpl_openssl rpl_ssl ssl \
136 ssl_8k_key ssl_compress ssl_connect ; do \
137 mysql_disable_test \
138 "$t" \
139 "OpenSSL tests broken on 5.0.56"
140 done
141
142 # New test was broken in first time
143 # Upstream bug 41066
144 # http://bugs.mysql.com/bug.php?id=41066
145 [ "${PV}" == "5.0.72" ] && \
146 mysql_disable_test \
147 "status2" \
148 "Broken in 5.0.72, new test is broken, upstream bug #41066"
149
150 # SSL certs expired shortly after the release of 5.0.76. Affects older
151 # versions as well.
152 case ${PV} in
153 5.0.?|5.0.[1-6]*|5.0.7[0-6])
154 for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
155 ssl_compress ssl_connect ; do \
156 mysql_disable_test \
157 "$t" \
158 "OpenSSL tests broken in 5.0.76 due to expired certificates"
159 done
160 ;;
161 esac
162
163 # create directories because mysqladmin might right out of order
164 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
165
166 # We run the test protocols seperately
167 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
168 retstatus1=$?
169 [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
170 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
171
172 make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
173 retstatus2=$?
174 [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
175 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
176
177 # Cleanup is important for these testcases.
178 pkill -9 -f "${S}/ndb" 2>/dev/null
179 pkill -9 -f "${S}/sql" 2>/dev/null
180 failures=""
181 [[ $retstatus1 -eq 0 ]] || failures="test-ns"
182 [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
183 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
184 [[ -z "$failures" ]] || die "Test failures: $failures"
185 einfo "Tests successfully completed"
186 else
187 einfo "Skipping server tests due to minimal build."
188 fi
189 }